Subject: Re: linux-next: lots of errors/warnings from the -Werror=missing-prototypes addition

From: Andrew Morton <[email-masked]>
Date: Wed, 29 Nov 2023 15:10:30 -0800

On Wed, 29 Nov 2023 23:51:04 +0100 "Arnd Bergmann" <[email-masked]> wrote:

> I did all my testing with CONFIG_WERROR force-enabled, so
> the bit I missed here is that at least three architectures
> that are missing fixes also set -Werror: mips, sparc and alpha.
> 
> How about adding a patch to no longer force -Werror for
> these?

These architectures are doing it wrong, aren't they?  They should be
using the CONFIG_WERROR infrastructure rather than hard-coding it?  If
so then sure, a standalone patch to clean that up sounds sounds
appropriate.  I guess it should precede "Makefile.extrawarn: turn on
missing-prototypes globally".